package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Hooks.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.HooksServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooks.create();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/hooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"builtinPattern": {
"creditCardBlocking": {},
"piiRedaction": {
"redactFields": [
"<string>"
],
"replacement": "<string>"
},
"queryScopeLimit": {
"fields": [
"<string>"
],
"maxLimit": 123
},
"sensitiveFileGuard": {
"blockedDirectories": [
"<string>"
],
"blockedPatterns": [
"<string>"
]
},
"writeAuthorization": {
"blockedClassifications": [],
"businessHours": {
"days": [
123
],
"end": "<string>",
"start": "<string>",
"timezone": "<string>"
}
}
},
"description": "<string>",
"enabled": true,
"filter": {
"celExpression": "<string>"
},
"function": {
"commitId": "<string>",
"functionId": "<string>"
},
"priority": 123
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/hooks"
payload = {
"displayName": "<string>",
"builtinPattern": {
"creditCardBlocking": {},
"piiRedaction": {
"redactFields": ["<string>"],
"replacement": "<string>"
},
"queryScopeLimit": {
"fields": ["<string>"],
"maxLimit": 123
},
"sensitiveFileGuard": {
"blockedDirectories": ["<string>"],
"blockedPatterns": ["<string>"]
},
"writeAuthorization": {
"blockedClassifications": [],
"businessHours": {
"days": [123],
"end": "<string>",
"start": "<string>",
"timezone": "<string>"
}
}
},
"description": "<string>",
"enabled": True,
"filter": { "celExpression": "<string>" },
"function": {
"commitId": "<string>",
"functionId": "<string>"
},
"priority": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
builtinPattern: {
creditCardBlocking: {},
piiRedaction: {redactFields: ['<string>'], replacement: '<string>'},
queryScopeLimit: {fields: ['<string>'], maxLimit: 123},
sensitiveFileGuard: {blockedDirectories: ['<string>'], blockedPatterns: ['<string>']},
writeAuthorization: {
blockedClassifications: [],
businessHours: {days: [123], end: '<string>', start: '<string>', timezone: '<string>'}
}
},
description: '<string>',
enabled: true,
filter: {celExpression: '<string>'},
function: {commitId: '<string>', functionId: '<string>'},
priority: 123
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/hooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hook": {
"builtinPattern": {
"creditCardBlocking": {},
"piiRedaction": {
"redactFields": [
"<string>"
],
"replacement": "<string>"
},
"queryScopeLimit": {
"fields": [
"<string>"
],
"maxLimit": 123
},
"sensitiveFileGuard": {
"blockedDirectories": [
"<string>"
],
"blockedPatterns": [
"<string>"
]
},
"writeAuthorization": {
"blockedClassifications": [],
"businessHours": {
"days": [
123
],
"end": "<string>",
"start": "<string>",
"timezone": "<string>"
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"filter": {
"celExpression": "<string>"
},
"function": {
"commitId": "<string>",
"functionId": "<string>"
},
"id": "<string>",
"priority": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create
Invokes the c1.api.hooks.v1.HooksService.Create method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Hooks.Create(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.HooksServiceCreateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.hooks.create();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The HooksServiceCreateRequest message.
This message contains a oneof named hook_type. Only a single field of the following list may be set at a time:
- function
- builtinPattern
The displayName field.
BuiltInPattern references a ConductorOne-maintained DLP pattern. The specific pattern and its configuration are encoded as a oneof.
This message contains a oneof named config. Only a single field of the following list may be set at a time:
- piiRedaction
- creditCardBlocking
- queryScopeLimit
- writeAuthorization
- sensitiveFileGuard
Show child attributes
Show child attributes
The description field.
The enabled field.
The event field.
HOOK_EVENT_TYPE_UNSPECIFIED, HOOK_EVENT_TYPE_PRE_TOOL_USE, HOOK_EVENT_TYPE_POST_TOOL_USE HookFilter determines which tool calls a hook applies to.
Show child attributes
Show child attributes
HookFunctionRef identifies a customer-authored function to invoke.
Show child attributes
Show child attributes
The priority field.
Response
Successful response
The HooksServiceCreateResponse message.
Hook represents a customer-configured interception point for tool calls.
This message contains a oneof named hook_type. Only a single field of the following list may be set at a time:
- function
- builtinPattern
Show child attributes
Show child attributes
Was this page helpful?